stages.push({
	id: "nearby-outpost",
	setup: () => {
        getSet('starfield').setup();
        starMotion.velocity.x = 0.05;
		starMotion.velocity.y = 0.05;
		getSet('station').setup();
	},
	update: (delta) => {
		getSet('starfield').update(delta);
		getSet('station').update(delta);
	},
	draw: (context, delta) => {
		getSet('starfield').draw(context, delta);
		context.fillStyle = "grey";

		context.save();
		context.rotate(90 * Math.PI / 180);
		atlas.drawCentered(context, userData.sprite, { x: 0, y: 0 });
		context.restore();

		getSet('station').draw(context, delta);
	},
	cleanup: () => { },
});